<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue'

const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
async function onClick() {
  await memberStore.getMemberByTel(memberStore.tel)
  console.log(receiptStore.receipt.member)
  receiptStore.calReceipt()
  memberStore.tel = ''
}
</script>

<template>
  <v-container class="font">
    <v-row no-gutters>
      <v-col cols="6">
        <v-text-field
          density="compact"
          variant="solo"
          label="Search Member"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          v-model="memberStore.tel"
          type="number"
          pattern="[0-9]*"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-col>
      <v-col cols="6" class="pa-2">
        {{ 'Member : ' + memberStore.editedMember?.name }}
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
}
</style>
